<header>
  <h1 class="top-appear">
    {{ 'shared.form.header.title.' + (isUpdate ? 'update' : 'create') | translate: { resource: ('shared.resources.genre' | translate) } }}
  </h1>
</header>
<section>
  <form *ngIf="formGroup" [formGroup]="formGroup" (ngSubmit)="submit()" @scaleFade>
    <mat-form-field appearance="fill">
      <mat-label>{{ 'shared.form.content.fields.label' | translate }}</mat-label>
      <input type="text" matInput formControlName="label" required sfl-focus />
      <mat-error>{{ 'shared.form.errors.required' | translate }}</mat-error>
    </mat-form-field>

    <button type="submit" sfl-button [disabled]="isSubmit">
      {{ 'shared.form.actions.' + (isUpdate ? 'update' : 'create') | translate }}
    </button>
  </form>
</section>
